<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">

<head>
  <meta charset="utf-8">
  <meta content="width=device-width, initial-scale=1.0" name="viewport">

  <title>User Profile</title>
  <meta content="" name="description">
  <meta content="" name="keywords">

  <!-- Favicons -->
  <link href="../../static/img/favicon.png" th:href="@{/img/favicon.png}" rel="icon">
  <link href="../../static/img/apple-touch-icon.png" th:href="@{/img/apple-touch-icon.png}" rel="apple-touch-icon">

  <!-- Google Fonts -->
  <link href="https://fonts.gstatic.com" rel="preconnect">
  <link
      href="https://fonts.googleapis.com/css?family=Open+Sans:300,300i,400,400i,600,600i,700,700i|Nunito:300,300i,400,400i,600,600i,700,700i|Poppins:300,300i,400,400i,500,500i,600,600i,700,700i"
      rel="stylesheet">

  <!-- Vendor CSS Files -->
  <link href="../../static/vendor/bootstrap/css/bootstrap.min.css"
        th:href="@{/vendor/bootstrap/css/bootstrap.min.css}" rel="stylesheet">
  <link href="../../static/vendor/bootstrap-icons/bootstrap-icons.css"
        th:href="@{/vendor/bootstrap-icons/bootstrap-icons.css}" rel="stylesheet">
  <link href="../../static/vendor/boxicons/css/boxicons.min.css" th:href="@{/vendor/boxicons/css/boxicons.min.css}"
        rel="stylesheet">
  <link href="../../static/vendor/quill/quill.snow.css" th:href="@{/vendor/quill/quill.snow.css}" rel="stylesheet">
  <link href="../../static/vendor/quill/quill.bubble.css" th:href="@{/vendor/quill/quill.bubble.css}"
        rel="stylesheet">
  <link href="../../static/vendor/remixicon/remixicon.css" th:href="@{/vendor/remixicon/remixicon.css}"
        rel="stylesheet">
  <link href="../../static/vendor/simple-datatables/style.css" th:href="@{/vendor/simple-datatables/style.css}"
        rel="stylesheet">

  <!-- Template Main CSS File -->
  <link href="../../static/css/style.css" th:href="@{/css/style.css}" rel="stylesheet">
</head>
<body>

<form th:replace="fragments/navbar.html :: navbar"></form>

<form th:replace="fragments/navbar.html :: sidebar"></form>

<main id="main" class="main">

  <div class="pagetitle">
    <h1>Profile</h1>
    <nav>
      <ol class="breadcrumb">
        <li class="breadcrumb-item"><a th:href="@{/}">Home</a></li>
        <li th:if="${isEmployee}" class="breadcrumb-item"><a th:href="@{/customers}">Customers</a></li>
        <li class="breadcrumb-item active">Profile
        </li>
      </ol>
    </nav>
  </div><!-- End Page Title -->


  <section class="section profile">
    <div class="row">
      <div class="col-xl-12">

        <div class="card">
          <div class="card-body pt-3">
            <!-- Bordered Tabs -->
            <div th:unless="${#httpServletRequest.getParameter('error') == null}"
                 class="alert alert-danger alert-dismissible fade show" role="alert">
              <i class="bi bi-exclamation-octagon me-1"
                 th:text="${' ' + #httpServletRequest.getParameter('error')}"></i>
              <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div><!-- Error -->
            <div th:unless="${#httpServletRequest.getParameter('success') == null}"
                 class="alert alert-success alert-dismissible fade show" role="alert">
              <i class="bi bi-check-circle me-1" th:text="${' ' + #httpServletRequest.getParameter('success')}"></i>
              <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div><!-- Success -->
            <ul class="nav nav-tabs nav-tabs-bordered">

              <li class="nav-item">
                <button class="nav-link active" data-bs-toggle="tab" data-bs-target="#profile-overview">
                  Overview
                </button>
              </li>

              <li class="nav-item">
                <button class="nav-link" href="#profile-edit" th:href="@{/home#all_info(action='show')}" data-bs-toggle="tab" data-bs-target="#profile-edit">Edit
                  Profile
                </button>
              </li>

              <li th:if="${isSameUser}" class="nav-item">
                <button class="nav-link" data-bs-toggle="tab" data-bs-target="#profile-change-password">
                  Change Password
                </button>
              </li>

            </ul>

            <div class="tab-content pt-2">

              <div class="tab-pane fade show active profile-overview" id="profile-overview">

                <h5 class="card-title">Profile Details</h5>

                <div class="row">
                  <div class="col-lg-3 col-md-4 label ">Full Name</div>
                  <div class="col-lg-9 col-md-8"
                       th:text="${profile.firstName + ' ' + profile.lastName}">
                    Kevin Anderson
                  </div>
                </div>
                <div class="row">
                  <div class="col-lg-3 col-md-4 label">Username</div>
                  <div class="col-lg-9 col-md-8" th:text="${profile.userName}">
                    kanderson
                  </div>
                </div>
                <div class="row">
                  <div class="col-lg-3 col-md-4 label">Email</div>
                  <div class="col-lg-9 col-md-8" th:text="${profile.email}">
                    k.anderson@example.com
                  </div>
                </div>
                <div class="row">
                  <div class="col-lg-3 col-md-4 label">Phone</div>
                  <div class="col-lg-9 col-md-8" th:text="${profile.phone}">
                    0885810921
                  </div>
                </div>
                <div th:unless="${profile.joinDate == null}" class="row">
                  <div class="col-lg-3 col-md-4 label">Created on</div>
                  <div class="col-lg-9 col-md-8" th:text="${#dates.format(profile.joinDate, 'dd.MM.yyyy')}">
                    22.05.2021
                  </div>
                </div>
                <div class="row" th:unless="${profile.lastLoginDateDisplay == null}">
                  <div class="col-lg-3 col-md-4 label">Last login</div>
                  <div class="col-lg-9 col-md-8" th:text="${#dates.format(profile.lastLoginDateDisplay, 'dd.MM.yyyy')}">
                    22.05.2021
                  </div>
                </div>

                <div class="row" th:each="role: ${profile.getRoles()}">
                  <div class="col-lg-3 col-md-4 label">Role</div>
                  <div class="col-lg-9 col-md-8" th:text="${role}">Customer</div>
                </div>
              </div>
              <div class="tab-pane fade profile-edit pt-3" id="profile-edit">
                <!-- Profile Edit Form -->
                <form th:if="${isEmployee || isSameUser}"
                      th:action="@{/customers/{userId}/update(userId=${profile.userId})}"
                      th:object="${profile}"
                      method="post">

                  <div class="row mb-3">
                    <label th:text="#{label.user.username}" for="Username"
                           class="col-md-4 col-lg-3 col-form-label">Username</label>
                    <br/>
                    <div class="col-md-8 col-lg-9">
                      <input th:if="${isSameUser}" name="Username" type="text" class="form-control" id="Username"
                             th:field="*{userName}"/>
                      <input th:unless="${isSameUser}" class="visually-hidden" th:field="*{userName}"/>
                      <p th:unless="${isSameUser}" th:text="${profile.userName}"></p>
                    </div>
                    <label class="error" th:errors="*{userName}">Username error placeholder</label>
                    <br/><br/>
                  </div>

                  <div class="row mb-3">
                    <label th:text="#{label.user.firstName}" for="firstName"
                           class="col-md-4 col-lg-3 col-form-label">First Name</label>
                    <br/>
                    <div class="col-md-8 col-lg-9">
                      <input name="firstName" type="text" class="form-control" id="firstName"
                             th:field="*{firstName}"/>
                    </div>
                    <label class="error" th:errors="*{firstName}">First name error
                      placeholder</label>
                    <br/><br/>
                  </div>

                  <div class="row mb-3">
                    <label th:text="#{label.user.lastName}" for="lastName"
                           class="col-md-4 col-lg-3 col-form-label">Last Name</label>
                    <br/>
                    <div class="col-md-8 col-lg-9">
                      <input name="lastName" type="text" class="form-control" id="lastName"
                             th:field="*{lastName}"/>
                    </div>
                    <label class="error" th:errors="*{lastName}">Last name error placeholder</label>
                    <br/><br/>
                  </div>

                  <div class="row mb-3">
                    <label th:text="#{label.user.email}" for="email"
                           class="col-md-4 col-lg-3 col-form-label">Email</label>
                    <br/>
                    <div class="col-md-8 col-lg-9">
                      <input name="email" type="email" class="form-control" id="email"
                             th:field="*{email}"/>
                    </div>
                    <label class="error" th:errors="*{email}">Email error placeholder</label>
                    <br/><br/>
                  </div>

                  <div class="row mb-3">
                    <label th:text="#{label.user.phone}" for="phone"
                           class="col-md-4 col-lg-3 col-form-label">Phone</label>
                    <br/>
                    <div class="col-md-8 col-lg-9">
                      <input name="phone" type="text" class="form-control" id="phone"
                             th:field="*{phone}"/>
                    </div>
                    <label class="error" th:errors="*{phone}">Phone error placeholder</label>
                    <br/><br/>
                  </div>
                  <div class="text-center">
                    <button type="submit" class="btn btn-primary" value="Save Changes">Save
                      Changes
                    </button>
                  </div>
                </form><!-- End Profile Edit Form -->

              </div>

              <div class="tab-pane fade pt-3" id="profile-change-password">
                <!-- Change Password Form -->
                <form th:if="${isEmployee || isSameUser}"
                      th:action="@{/customers/{userId}/new/password(userId=${profile.userId})}"
                      th:object="${passwordChange}"
                      method="post">

                  <div class="row mb-3">
                    <label for="currentPassword" class="col-md-4 col-lg-3 col-form-label"
                           th:text="#{label.user.password}">Current
                      Password</label>
                    <div class="col-md-8 col-lg-9">
                      <input name="password" type="password" class="form-control"
                             id="currentPassword" th:field="*{password}" th:value="password">
                    </div>
                    <label class="error" th:errors="*{password}">Password error placeholder</label>
                  </div>

                  <div class="row mb-3">
                    <label for="confirmPass" class="col-md-4 col-lg-3 col-form-label"
                           th:text="#{label.user.confirmPass}">Confirm
                      Password</label>
                    <div class="col-md-8 col-lg-9">
                      <input name="confirmPass" type="password" class="form-control"
                             id="confirmPass" th:field="*{matchingPassword}"
                             th:value="confirmPas">
                    </div>
                    <label class="error" th:errors="*{matchingPassword}">Password error
                      placeholder</label>
                  </div>

                  <div class="text-center">
                    <button type="submit" class="btn btn-primary" value="Change Password">Change
                      Password
                    </button>
                  </div>
                </form><!-- End Change Password Form -->
              </div>
            </div><!-- End Bordered Tabs -->
          </div>
          <div th:if="${isEmployee}" class="card-body pt-3">
            <!--            Button Create Car-->
            <form th:action="@{/cars/create}" method="get">
              <div class="col-xl-12 float-end">
                <button type="submit" class="btn btn-outline-primary btn-sm" name="userId" th:value="${userId}">New Car</button>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </section>

  <!-- Cars section -->
  <section th:unless="${profile.cars.isEmpty()}" class="section profile">
    <div class="row">
      <div class="col-xl-12">
        <div class="card">
          <div class="card-body pt-3">
            <ul class="nav nav-tabs nav-tabs-bordered">
              <li class="nav-item">
                <button class="nav-link active" data-bs-toggle="tab" data-bs-target="#profile-overview">
                  Cars
                </button>
              </li>
            </ul>
            <div class="tab-content pt-2">
              <div class="tab-pane fade show active profile-overview" id="car">
                <h5 class="card-title">Licence Plate</h5>
                <div class="row" th:each="car:${profile.cars}">
                  <a class="col-lg-3 col-md-8" th:text="${car.licensePlate}"
                     th:href="@{/cars/{carId}(carId=${car.carId})}">
                    KK4523KL
                  </a>
                  <div class="col-lg-3 col-md-4 label"
                       th:text="${car.brand.name + ' ' + car.carModel.name}">Toyota Yaris
                  </div>
                  <div class="col-lg-3 col-md-8" th:text="${car.year}">
                    2001
                  </div>
                  <div class="col-lg-3 col-md-8" th:text="${car.vin}">
                    WDBRF40J43F433102
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </section><!-- End Cars Section -->

</main><!-- End #main -->

<!-- ======= Footer ======= -->
<footer id="footer" class="footer">
  <div class="copyright">
    &copy; Copyright <strong><span>NiceAdmin</span></strong>. All Rights Reserved
  </div>
  <div class="credits">
    Designed by <a href="https://bootstrapmade.com/">BootstrapMade</a>
  </div>
</footer><!-- End Footer -->

<a href="#" class="back-to-top d-flex align-items-center justify-content-center"><i
    class="bi bi-arrow-up-short"></i></a>

<!-- Vendor JS Files -->
<script src="../../static/vendor/apexcharts/apexcharts.min.js"
        th:src="@{/vendor/apexcharts/apexcharts.min.js}"></script>
<script src="../../static/vendor/bootstrap/js/bootstrap.bundle.min.js"
        th:src="@{/vendor/bootstrap/js/bootstrap.bundle.min.js}"></script>
<script src="../../static/vendor/chart.js/chart.min.js" th:src="@{/vendor/chart.js/chart.min.js}"></script>
<script src="../../static/vendor/echarts/echarts.min.js" th:src="@{/vendor/echarts/echarts.min.js}"></script>
<script src="../../static/vendor/quill/quill.min.js" th:src="@{/vendor/quill/quill.min.js}"></script>
<script src="../../static/vendor/simple-datatables/simple-datatables.js"
        th:src="@{/vendor/simple-datatables/simple-datatables.js}"></script>
<script src="../../static/vendor/tinymce/tinymce.min.js" th:src="@{/vendor/tinymce/tinymce.min.js}"></script>
<script src="../../static/vendor/php-email-form/validate.js" th:src="@{/vendor/php-email-form/validate.js}"></script>

<!-- Template Main JS File -->
<script src="../../static/js/main.js" th:src="@{../js/main.js}"></script>

</body>

</html>